## org.apache.bcel.generic
Class ArrayInstruction

    java.lang.Object
      org.apache.bcel.generic.Instruction
          org.apache.bcel.generic.ArrayInstruction

All Implemented Interfaces:
  Serializable, Cloneable, ExceptionThrower, TypedInstruction

Direct Known Subclasses:
  AALOAD, AASTORE, BALOAD, BASTORE, CALOAD, CASTORE, DALOAD, DASTORE, FALOAD, FASTORE, IALOAD, IASTORE, LALOAD, LASTORE, SALOAD, SASTORE

    public abstract class ArrayInstruction

extends Instruction
implements ExceptionThrower, TypedInstruction

Super class for instructions dealing with array access such as IALOAD.

Version:
  $Id: ArrayInstruction.java 386056 2006-03-15 11:31:56Z tcurdt $
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.bcel.generic.Instruction
`length, opcode`

Constructor Summary
`protected` `ArrayInstruction(short opcode)`

Method Summary
`Class[]` `getExceptions()`
`Type` `getType(ConstantPoolGen cp)`

Methods inherited from class org.apache.bcel.generic.Instruction
`accept, consumeStack, copy, dump, equals, getComparator, getLength, getName, getOpcode, initFromFile, produceStack, readInstruction, setComparator, toString, toString, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ArrayInstruction

    protected ArrayInstruction(short opcode)

Parameters:
  `opcode` - of instruction

Method Detail

### getExceptions

    public Class[] getExceptions()

  Specified by:
    `getExceptions` in interface `ExceptionThrower`

### getType

    public Type getType(ConstantPoolGen cp)

  Specified by:
    `getType` in interface `TypedInstruction`
  Returns:
    type associated with the instruction

Copyright © 2002-2006 Apache Software Foundation. All Rights Reserved.